package org.eclipse.equinox.launcher;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import java.util.StringTokenizer;
import org.eclipse.equinox.launcher.Main;

class Identifier {
  private static final String DELIM = ". _-";
  
  private int major;
  
  private int minor;
  
  private int service;
  
  Identifier(int major, int minor, int service) {
    this.major = major;
    this.minor = minor;
    this.service = service;
  }
  
  Identifier(String versionString) {
    StringTokenizer tokenizer = new StringTokenizer(versionString, 
        ". _-");
    if (tokenizer.hasMoreTokens())
      this.major = Integer.parseInt(tokenizer.nextToken()); 
    if (tokenizer.hasMoreTokens())
      this.minor = Integer.parseInt(tokenizer.nextToken()); 
    try {
      if (tokenizer.hasMoreTokens())
        this.service = Integer.parseInt(tokenizer.nextToken()); 
    } catch (NumberFormatException numberFormatException) {}
  }
  
  boolean isGreaterEqualTo(Identifier minimum) {
    if (this.major < minimum.major)
      return false; 
    if (this.major > minimum.major)
      return true; 
    if (this.minor < minimum.minor)
      return false; 
    if (this.minor > minimum.minor)
      return true; 
    return (this.service >= minimum.service);
  }
}
